#include "sim_oled.h"

static SIM_Display_t oled_display;
void SIM_OLED_INIT(int width, int height, uint32_t pixcolor, uint32_t backcolor, int scale, uint8_t b) {
    SIM_Display_Init("OLED", width, height, pixcolor, backcolor, scale, &oled_display);
}


void SIM_OLED_STOP() {
    SIM_Display_STOP(&oled_display);
}

void SIM_OLED_DrawFromBuffer(uint8_t *buf, uint8_t width, uint8_t height) {
    SIM_OneColor_DrawFromBuffer(&oled_display, buf, width, height);
}
